Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire
Interface XMPPServerListener

    public interface XMPPServerListener

Interface that let observers be notified when the server has been started or is about to be stopped. Use `XMPPServer.addServerListener(XMPPServerListener)` to add new listeners.

Author:
  Gaston Dombiak

Method Summary
`void` | `serverStarted()` Notification message indicating that the server has been started.
`void` | `serverStopping()` Notification message indication that the server is about to be stopped.

Method Detail

### serverStarted

    void serverStarted()

  Notification message indicating that the server has been started. At this point all server modules have been initialized and started. Message sending and receiving is now possible. However, some plugins may still be pending to be loaded.

### serverStopping

    void serverStopping()

  Notification message indication that the server is about to be stopped. At this point all modules are still running so all services are still available.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.